For the complete documentation index, see llms.txt. This page is also available as Markdown.

Additional Services

The Additional Services endpoints handle draft orders for add-on services on an existing merchant. Use these endpoints when you need to subscribe an existing merchant to extra services without creating a merchant onboarding order.

Use Merchant Orders for new merchant onboarding. Use Additional Services for service changes on an existing merchant.

How It Works

1

Create an additional services draft order

POST /orders/merchant/additionalServices — Create a draft order for extra services on an existing merchant. The response returns a draft order ID.

2

Update the draft if needed

PUT /orders/merchant/additionalServices/{orderId} — Update the draft order before submission.

3

Submit for processing

Use POST /orders/drafts/{orderId} (see Orders — Common) to submit the draft for processing.

API Reference

Create Additional Services Order

Create Additional Services Order

post

Creates an order for add-on services (e.g. APM integration). A new PPC is created if no contract ID is specified.

Header parameters
saveDraftbooleanOptional

An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.

Body

Additional services order & package details

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
portfolioUidstring · uuidOptional

Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Responses
201

Create Additional Services Order Response

application/json

Standard fields returned in Order responses

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
portfolioUidstring · uuidOptional

Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
orderIdstring · uuidOptional

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumOptionalPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

entityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
orderTypestringOptionalDefault: AdditionalServicesOrder
post/orders/merchant/additionalServices

Update Additional Services Order

Update Additional Services Order

put

Updates an existing add-on services order, provided the order has not yet been submitted.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Body

Additional services order & package details

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
portfolioUidstring · uuidOptional

Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Responses
201

Update Additional Services Order Response

application/json

Standard fields returned in Order responses

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
portfolioUidstring · uuidOptional

Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
orderIdstring · uuidOptional

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumOptionalPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

entityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
orderTypestringOptionalDefault: AdditionalServicesOrder
put/orders/merchant/additionalServices/{orderId}

Last updated

Was this helpful?